package ru.indvdum.mywork.openjpa.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * @author indvdum
 * 16.08.2011 9:02:32
 *
 */
@Entity
@Table(name = "TASKS")
public class Task implements IDatabaseObject {

	private static final long serialVersionUID = -4457948503094306717L;
	
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Column(name = "ID", nullable = false)
	private Integer id = null;
	
	@Column(name = "NAME")
	private String name = null;
	
	@Column(name = "DESCRIPTION")
	private String description = null;

	public Task(){
		
	}
	
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (!(obj instanceof Task))
			return false;
		final Task other = (Task) obj;
		return (this.id == other.id || (this.id != null && this.id.equals(other.id)));
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}
}
